Ada Reference Manual (Ada 2022) — Legal Information

# 2.7 Comments

1
A comment starts with two adjacent hyphens and extends up to the end of the line.

#### Syntax

2
comment ::= --{non_end_of_line_character}
3
A comment may appear on any line of a program.

#### Static Semantics

4
The presence or absence of comments has no influence on whether a program is legal or illegal. Furthermore, comments do not influence the meaning of a program; their sole purpose is the enlightenment of the human reader.

#### Examples

5
Examples of comments:
6/5
-- the last sentence above echoes the Algol 68 report
end; -- processing of Line is complete
-- a long comment can be split onto
-- two or more consecutive lines
---------------- the first two hyphens start the comment

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe